Bug 648879 - Crash logs missing distribution identification
Crash logs missing distribution identification
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.6.0-openjdk (Show other bugs)
6.3
All All
low Severity high
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On: 648499
Blocks: 648880
  Show dependency treegraph
 
Reported: 2010-11-02 08:20 EDT by jiri vanek
Modified: 2010-12-09 02:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 648499
: 648880 (view as bug list)
Environment:
Last Closed: 2010-12-09 02:37:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jiri vanek 2010-11-02 08:20:28 EDT
+++ This bug was initially created as a clone of Bug #648499 +++

The Fedora builds are not reporting themselves correctly in crash dumps.

# Distribution: Custom build (Wed Oct 13 22:53:58 UTC 2010)

When correctly configured, DISTRIUTION_ID should be passed to the OpenJDK build by IcedTea6 e.g.:

DISTRIBUTION_ID="Built on Gentoo Base System release 2.0.1 (Fri Oct 22 15:02:13 BST 2010)"

This suggests that lsb_release is unavailable during the build of Fedora OpenJDK RPMs:

checking for lsb_release... /usr/bin/lsb_release

Please add the appropriate package as a dependency to the spec file.

--- Additional comment from ahughes@redhat.com on 2010-11-01 10:04:04 EDT ---

Typo; that should be DISTRIBUTION_ID.

--- Additional comment from jvanek@redhat.com on 2010-11-02 08:17:30 EDT ---

BuildRequires: redhat-lsb

added to F12,13,14,master

OpenJdk for Rhel 6 is also buildable with this change.
Comment 2 jiri vanek 2010-12-09 02:37:36 EST
added BuildRequires: redhat-lsb

Note You need to log in before you can comment on or make changes to this bug.